## Apache Zeta Components Manual :: Docs For Class ezcUrlNoConfigurationException

### Url::ezcUrlNoConfigurationException

### Class ezcUrlNoConfigurationException

ezcUrlNoConfigurationException is thrown whenever you try to use a url configuration that is not defined.

Source for this file: /Url/src/exceptions/url_no_configuration_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcUrlException
             |
             --ezcUrlNoConfigurationException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcUrlNoConfigurationException | `__construct( $param )` Constructs a new ezcUrlNoConfigurationException.

### Inherited Methods

From ezcUrlException
public ezcUrlException | `ezcUrlException::__construct()` Constructs a new ezcUrlException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcUrlNoConfigurationException __construct( string $param )

Constructs a new ezcUrlNoConfigurationException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$param` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcUrlException::__construct()` | Constructs a new ezcUrlException with error message $message.

Documentation generated by phpDocumentor 1.4.3